# Installation
> `npm install --save @types/pdf-parse`

# Summary
This package contains type definitions for pdf-parse (https://gitlab.com/autokent/pdf-parse).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/pdf-parse.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/pdf-parse/index.d.ts)
````ts
// Type definitions for pdf-parse 1.1
// Project: https://gitlab.com/autokent/pdf-parse
// Definitions by: Philipp Katz <https://github.com/qqilihq>
// Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped

export = PdfParse;

declare function PdfParse(dataBuffer: Buffer, options?: PdfParse.Options): Promise<PdfParse.Result>;

declare namespace PdfParse {
    type Version = 'default' | 'v1.9.426' | 'v1.10.100' | 'v1.10.88' | 'v2.0.550';
    interface Result {
        numpages: number;
        numrender: number;
        info: any;
        metadata: any;
        version: Version;
        text: string;
    }
    interface Options {
        pagerender?: ((pageData: any) => string) | undefined;
        max?: number | undefined;
        version?: Version | undefined;
    }
}

````

### Additional Details
 * Last updated: Thu, 08 Jul 2021 20:19:30 GMT
 * Dependencies: none
 * Global values: none

# Credits
These definitions were written by [Philipp Katz](https://github.com/qqilihq).
